Bug 822121 - In geo-rep mount-broker setup , the stat info is not properly synced for regular files
In geo-rep mount-broker setup , the stat info is not properly synced for regu...
Status: CLOSED CURRENTRELEASE
Product: GlusterFS
Classification: Community
Component: geo-replication (Show other bugs)
mainline
x86_64 Linux
high Severity high
: ---
: ---
Assigned To: Csaba Henk
Saurabh
:
Depends On:
Blocks: 817967
  Show dependency treegraph
 
Reported: 2012-05-16 07:58 EDT by Vijaykumar Koppad
Modified: 2016-01-19 01:10 EST (History)
4 users (show)

See Also:
Fixed In Version: glusterfs-3.4.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-24 13:18:40 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions: 3.3.0qa45
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Vijaykumar Koppad 2012-05-16 07:58:38 EDT
Description of problem: In geo-rep mount-broker setup , the group info and the creation time of the regular files are not getting synced properly on the slave.


Version-Release number of selected component (if applicable):3.3.0qa41+


How reproducible:always


Steps to Reproduce:
1.Create a geo-rep mount-broker setup.(master: dist-rep, slave:dist-repl)    
2.Create some regular files and directories on the master 
3.Check the ls -ln on both master and slave 
  
Actual results: The group info is not same in slave as master 


Expected results: All the stat info should be same both in the master ans slave 


Additional info:
###############################################################
ls -ln output on the master 
##############################################################

drwxr-xr-x. 2 0 0      8192 May 16 06:44 dir
-rw-r--r--. 1 0 0         0 May 16 06:44 file
-rw-r--r--. 1 0 0     10240 May 16 07:19 file1
-rw-r--r--. 1 0 0 104857600 May 16 07:20 file_100M
-rw-r--r--. 1 0 0   1048576 May 16 07:20 file_2M
-rw-r--r--. 1 0 0        34 May 16 07:30 file.txt
-rw-r--r--. 1 0 0         0 May 16 07:45 kon
lrwxrwxrwx. 1 0 0         4 May 16 06:45 sym -> file
lrwxrwxrwx. 1 0 0         3 May 16 06:45 sym_dir -> dir

###################################################################
ls -ln output on the slave 
#####################################################################
drwxr-xr-x. 2 0   0        12 May 16 00:38 dir
-rw-r--r--. 1 0 501         0 May 16  2012 file
-rw-r--r--. 1 0 501     10240 May 16  2012 file1
-rw-r--r--. 1 0 501 104857600 May 16  2012 file_100M
-rw-r--r--. 1 0 501   1048576 May 16  2012 file_2M
-rw-r--r--. 1 0 501        34 May 16  2012 file.txt
-rw-r--r--. 1 0 501         0 May 16  2012 kon
lrwxrwxrwx. 1 0   0         4 May 16 01:40 sym -> file
lrwxrwxrwx. 1 0   0         3 May 16 01:40 sym_dir -> dir

Note You need to log in before you can comment on or make changes to this bug.